Printago API
POST /v1/classwork/part-references

Which classwork items reference these parts

Requires any of: part.editpart.deleteclasswork.editor

Request Body

RequestBody
partIdsrequired
string[]

Example Request

application/json
{
  "partIds": [
    "string"
  ]
}

Response Schema

Response
Array of objects, each with:
classworkIdrequired
string
pattern: ^[a-z0-9]{24}$
coderequired
string
partIdrequired
string
pattern: ^[a-z0-9]{24}$
titlerequired
string

Example Response

201 OK — application/json
[
  {
    "partId": "string",
    "classworkId": "string",
    "code": "string",
    "title": "string"
  }
]